Search Unity

  1. We are migrating the Unity Forums to Unity Discussions. On July 12, the Unity Forums will become read-only. On July 15, Unity Discussions will become read-only until July 18, when the new design and the migrated forum contents will go live. Read our full announcement for more information and let us know if you have any questions.

Resolved Gradle build keeps failing after installing IronSource Levelplay package

Discussion in 'Android' started by Vickey_Soni, Feb 15, 2024.

  1. Vickey_Soni

    Vickey_Soni

    Joined:
    Jun 9, 2022
    Posts:
    20
    I'm unable to build my app after installing IronSource LevelPlay package, gradle build keeps failing.
    Solutions I've tried so far(none of them worked):

    0. removing the Ironsource Package didn't work.
    1. updated target API level to 34 since I was having same Gradle build error with API 33 and 32.
    2. Tried with a new KeyStore as few forum posts were suggesting that.
    3. Building custom Launcher Manifest, Main Gradle, Gradle Properties Templet
    4. Tried to set the path of NDK,SDK,JDK to the root folder manually after this pop-up.
    Screenshot (1655).png
    5. Re-installed Android Modules
    6. Updated Unity Version to 2022.3.19f1 from 2021.3. and downloaded the latest available ANdroid Modules.
    7. Re-imported whole project multiple times in both Versions after removing the Ironsource Package.
    8. Changed lines in gradle.properties
    9. Deleted Library folder in project
    10. Restarted Project and PC multiple times.
    11. Tried Minify
    12. Dependency Resolver not working. does not display any resolved dependency and Force Resolve does nothing.

    Screenshot (1653)_LI.jpg Screenshot (1653)_LI.jpg
    Here are the Errors:
    1.
    Code (csharp):
    1.  
    2. WARNING:We recommend using a newer Android Gradle plugin to use compileSdk = 33
    3.  
    4. This Android Gradle plugin (7.1.2) was tested up to compileSdk = 32
    5.  
    6. This warning can be suppressed by adding
    7.     android.suppressUnsupportedCompileSdk=33
    8. to this project's gradle.properties
    9.  
    10. The build will continue, but you are strongly encouraged to update your project to
    11. use a newer Android Gradle Plugin that has been tested with compileSdk = 33
    12. > Task :unityLibrary:preBuild UP-TO-DATE
    13. > Task :launcher:preBuild UP-TO-DATE
    14. > Task :unityLibrary:preReleaseBuild UP-TO-DATE
    15. > Task :unityLibrary:compileReleaseAidl NO-SOURCE
    16. > Task :launcher:preReleaseBuild UP-TO-DATE
    17. > Task :launcher:compileReleaseAidl NO-SOURCE
    18. > Task :unityLibrary:mergeReleaseJniLibFolders UP-TO-DATE
    19. > Task :launcher:generateReleaseBuildConfig UP-TO-DATE
    20. > Task :launcher:javaPreCompileRelease UP-TO-DATE
    21. > Task :launcher:generateReleaseResValues UP-TO-DATE
    22. > Task :launcher:createReleaseCompatibleScreenManifests UP-TO-DATE
    23. > Task :unityLibrary:mergeReleaseNativeLibs UP-TO-DATE
    24. > Task :launcher:extractDeepLinksRelease UP-TO-DATE
    25. > Task :launcher:extractProguardFiles UP-TO-DATE
    26. > Task :launcher:mergeReleaseJniLibFolders UP-TO-DATE
    27.  
    28. > Task :unityLibrary:stripReleaseDebugSymbols
    29. Unable to strip the following libraries, packaging them as they are: libAdaptivePerformanceAndroid.so, libAdaptivePerformanceHint.so, libAdaptivePerformanceThermalHeadroom.so, libAndroidCpuUsage.so, lib_burst_generated.so, libil2cpp.so, libmain.so, libunity.so.
    30.  
    31. > Task :unityLibrary:copyReleaseJniLibsProjectAndLocalJars UP-TO-DATE
    32. > Task :unityLibrary:compileReleaseRenderscript NO-SOURCE
    33. > Task :launcher:checkReleaseDuplicateClasses UP-TO-DATE
    34. > Task :unityLibrary:generateReleaseBuildConfig UP-TO-DATE
    35. > Task :unityLibrary:generateReleaseResValues UP-TO-DATE
    36. > Task :unityLibrary:generateReleaseResources UP-TO-DATE
    37. > Task :unityLibrary:packageReleaseResources UP-TO-DATE
    38. > Task :launcher:desugarReleaseFileDependencies UP-TO-DATE
    39. > Task :unityLibrary:parseReleaseLocalResources UP-TO-DATE
    40. > Task :unityLibrary:processReleaseManifest UP-TO-DATE
    41. > Task :unityLibrary:generateReleaseRFile UP-TO-DATE
    42. > Task :launcher:mergeExtDexRelease UP-TO-DATE
    43. > Task :launcher:mergeReleaseShaders UP-TO-DATE
    44. > Task :launcher:compileReleaseShaders NO-SOURCE
    45. > Task :launcher:generateReleaseAssets UP-TO-DATE
    46. > Task :launcher:processReleaseJavaRes NO-SOURCE
    47. > Task :unityLibrary:extractReleaseAnnotations UP-TO-DATE
    48. > Task :unityLibrary:javaPreCompileRelease UP-TO-DATE
    49. > Task :launcher:collectReleaseDependencies
    50. > Task :launcher:sdkReleaseDependencyData
    51. > Task :launcher:validateSigningRelease
    52. > Task :launcher:writeReleaseAppMetadata
    53. > Task :launcher:writeReleaseSigningConfigVersions
    54.  
    55. > Task :unityLibrary:compileReleaseJavaWithJavac
    56.  
    57. > Task :unityLibrary:mergeReleaseGeneratedProguardFiles UP-TO-DATE
    58. > Task :unityLibrary:mergeReleaseConsumerProguardFiles UP-TO-DATE
    59. > Task :unityLibrary:mergeReleaseShaders UP-TO-DATE
    60. > Task :unityLibrary:compileReleaseShaders NO-SOURCE
    61. > Task :unityLibrary:generateReleaseAssets UP-TO-DATE
    62. > Task :unityLibrary:packageReleaseAssets
    63. > Task :unityLibrary:packageReleaseRenderscript NO-SOURCE
    64. > Task :unityLibrary:prepareLintJarForPublish UP-TO-DATE
    65. > Task :unityLibrary:prepareReleaseArtProfile UP-TO-DATE
    66. > Task :unityLibrary:processReleaseJavaRes UP-TO-DATE
    67. > Task :unityLibrary:writeReleaseAarMetadata UP-TO-DATE
    68. > Task :unityLibrary:extractDeepLinksRelease UP-TO-DATE
    69. > Task :unityLibrary:compileReleaseLibraryResources UP-TO-DATE
    70. > Task :unityLibrary:bundleLibCompileToJarRelease
    71. > Task :unityLibrary:bundleLibRuntimeToJarRelease
    72. > Task :unityLibrary:bundleLibResRelease
    73. > Task :unityLibrary:writeReleaseLintModelMetadata
    74. > Task :unityLibrary:createFullJarRelease
    75. > Task :launcher:mergeReleaseAssets
    76. > Task :launcher:compileReleaseRenderscript NO-SOURCE
    77. > Task :unityLibrary:mergeReleaseJavaResource FAILED
    78. > Task :unityLibrary:copyReleaseJniLibsProjectOnly
    79. > Task :launcher:checkReleaseAarMetadata FAILED
    80. 48 actionable tasks: 17 executed, 31 up-to-date
    81.  
    82. UnityEngine.GUIUtility:ProcessEvent (int,intptr,bool&)
    83.  
    2.
    Code (csharp):
    1.  
    2. Picked up JAVA_TOOL_OPTIONS: -Dfile.encoding=UTF-8
    3. Note: C:\Users\YOUTUBER\Desktop\2D Runner\Assets\Others\Project file of EndlessRunnerTutorial\EndlessRunnerTutorial\Library\Bee\Android\Prj\IL2CPP\Gradle\unityLibrary\src\main\java\com\unity3d\player\UnityPlayerActivity.java uses or overrides a deprecated API.
    4. Note: Recompile with -Xlint:deprecation for details.
    5.  
    6. FAILURE: Build completed with 2 failures.
    7.  
    8. 1: Task failed with an exception.
    9. -----------
    10. * What went wrong:
    11. Execution failed for task ':unityLibrary:mergeReleaseJavaResource'.
    12. > A failure occurred while executing com.android.build.gradle.internal.tasks.MergeJavaResWorkAction
    13.    > 2 files found with path 'META-INF/kotlin-project-structure-metadata.json' from inputs:
    14.       - C:\Users\YOUTUBER\Desktop\2D Runner\Assets\Others\Project file of EndlessRunnerTutorial\EndlessRunnerTutorial\Library\Bee\Android\Prj\IL2CPP\Gradle\unityLibrary\libs\androidx.annotation.annotation-1.6.0.jar
    15.       - C:\Users\YOUTUBER\Desktop\2D Runner\Assets\Others\Project file of EndlessRunnerTutorial\EndlessRunnerTutorial\Library\Bee\Android\Prj\IL2CPP\Gradle\unityLibrary\libs\org.jetbrains.kotlinx.kotlinx-coroutines-core-1.7.3.jar
    16.      Adding a packagingOptions block may help, please refer to
    17.      https://google.github.io/android-gradle-dsl/current/com.android.build.gradle.internal.dsl.PackagingOptions.html
    18.      for more information
    19.  
    20. * Try:
    21. Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
    22. ==============================================================================
    23.  
    24. 2: Task failed with an exception.
    25. -----------
    26. * What went wrong:
    27. Execution failed for task ':launcher:checkReleaseAarMetadata'.
    28. > A failure occurred while executing com.android.build.gradle.internal.tasks.CheckAarMetadataWorkAction
    29.    > One or more issues found when checking AAR metadata values:
    30.      
    31.      Dependency ':androidx.sqlite.sqlite-2.4.0:' requires 'compileSdkVersion' to be set to 34 or higher.
    32.      Compilation target for module ':launcher' is 'android-33'
    33.      
    34.      Dependency ':androidx.lifecycle.lifecycle-runtime-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    35.      Compilation target for module ':launcher' is 'android-33'
    36.      
    37.      Dependency ':androidx.work.work-runtime-2.10.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    38.      Compilation target for module ':launcher' is 'android-33'
    39.      
    40.      Dependency ':androidx.lifecycle.lifecycle-livedata-core-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    41.      Compilation target for module ':launcher' is 'android-33'
    42.      
    43.      Dependency ':androidx.lifecycle.lifecycle-runtime-ktx-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    44.      Compilation target for module ':launcher' is 'android-33'
    45.      
    46.      Dependency ':androidx.lifecycle.lifecycle-viewmodel-ktx-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    47.      Compilation target for module ':launcher' is 'android-33'
    48.      
    49.      Dependency ':androidx.core.core-1.13.0-alpha05:' requires 'compileSdkVersion' to be set to 34 or higher.
    50.      Compilation target for module ':launcher' is 'android-33'
    51.      
    52.      Dependency ':androidx.activity.activity-1.9.0-alpha03:' requires 'compileSdkVersion' to be set to 34 or higher.
    53.      Compilation target for module ':launcher' is 'android-33'
    54.      
    55.      Dependency ':androidx.room.room-ktx-2.6.1:' requires 'compileSdkVersion' to be set to 34 or higher.
    56.      Compilation target for module ':launcher' is 'android-33'
    57.      
    58.      Dependency ':androidx.activity.activity-ktx-1.9.0-alpha03:' requires 'compileSdkVersion' to be set to 34 or higher.
    59.      Compilation target for module ':launcher' is 'android-33'
    60.      
    61.      Dependency ':androidx.work.work-runtime-ktx-2.10.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    62.      Compilation target for module ':launcher' is 'android-33'
    63.      
    64.      Dependency ':androidx.fragment.fragment-1.7.0-alpha10:' requires 'compileSdkVersion' to be set to 34 or higher.
    65.      Compilation target for module ':launcher' is 'android-33'
    66.      
    67.      Dependency ':androidx.sqlite.sqlite-framework-2.4.0:' requires 'compileSdkVersion' to be set to 34 or higher.
    68.      Compilation target for module ':launcher' is 'android-33'
    69.      
    70.      Dependency ':androidx.lifecycle.lifecycle-viewmodel-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    71.      Compilation target for module ':launcher' is 'android-33'
    72.      
    73.      Dependency ':androidx.webkit.webkit-1.11.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    74.      Compilation target for module ':launcher' is 'android-33'
    75.      
    76.      Dependency ':androidx.core.core-ktx-1.13.0-alpha05:' requires 'compileSdkVersion' to be set to 34 or higher.
    77.      Compilation target for module ':launcher' is 'android-33'
    78.      
    79.      Dependency ':androidx.room.room-runtime-2.6.1:' requires 'compileSdkVersion' to be set to 34 or higher.
    80.      Compilation target for module ':launcher' is 'android-33'
    81.      
    82.      Dependency ':androidx.lifecycle.lifecycle-process-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    83.      Compilation target for module ':launcher' is 'android-33'
    84.      
    85.      Dependency ':androidx.annotation.annotation-experimental-1.4.0:' requires 'compileSdkVersion' to be set to 34 or higher.
    86.      Compilation target for module ':launcher' is 'android-33'
    87.      
    88.      Dependency ':androidx.lifecycle.lifecycle-viewmodel-savedstate-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    89.      Compilation target for module ':launcher' is 'android-33'
    90.  
    91. * Try:
    92. Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
    93. ==============================================================================
    94.  
    95. * Get more help at https://help.gradle.org
    96.  
    97. BUILD FAILED in 11s
    98.  
    99. UnityEngine.GUIUtility:ProcessEvent (int,intptr,bool&)
    100.  
    101.  
    3.
    Code (csharp):
    1.  
    2. CommandInvokationFailure: Gradle build failed.
    3. C:\Program Files\Unity\Hub\Editor\2022.3.19f1\Editor\Data\PlaybackEngines\AndroidPlayer\OpenJDK\bin\java.exe -classpath "C:\Program Files\Unity\Hub\Editor\2022.3.19f1\Editor\Data\PlaybackEngines\AndroidPlayer\Tools\gradle\lib\gradle-launcher-7.2.jar" org.gradle.launcher.GradleMain "-Dorg.gradle.jvmargs=-Xmx4096m" "assembleRelease"
    4.  
    5. Environment Variables:
    6. PROCESSOR_ARCHITECTURE = AMD64
    7. AMPLITUDE_API_KEY_YELLOWBUCKET_DEV = 48835b4d1f5e342aefe5f016324d296a
    8. BURST_ANDROID_MIN_API_LEVEL = 22
    9. DriverData = C:\Windows\System32\Drivers\DriverData
    10. USERDOMAIN = DESKTOP-4GCS8JM
    11. CommonProgramFiles(x86) = C:\Program Files (x86)\Common Files
    12. COMPUTERNAME = DESKTOP-4GCS8JM
    13. DEBUG_ENV_VAR = UnityHub
    14. LOGONSERVER = \\DESKTOP-4GCS8JM
    15. AMPLITUDE_TOKEN_GREENBUCKET_PROD = yyzPzalJDwrQcYNuOZam0bhKb26WyyhK
    16. PUBLIC = C:\Users\Public
    17. ProgramData = C:\ProgramData
    18. SESSIONNAME = Console
    19. AMPLITUDE_TOKEN_YELLOWBUCKET_PROD = Ph-837Q6GNodAkyc2MRkxVPUcjlIET4d
    20. APPDATA = C:\Users\YOUTUBER\AppData\Roaming
    21. SystemRoot = C:\WINDOWS
    22. windir = C:\WINDOWS
    23. AMPLITUDE_API_KEY_REDBUCKET_DEV = 46b8b46515e7632fc42a504b72e05fd0
    24. ProgramFiles(x86) = C:\Program Files (x86)
    25. ProgramW6432 = C:\Program Files
    26. INTEL_DEV_REDIST = C:\Program Files (x86)\Common Files\Intel\Shared Libraries\
    27. OS = Windows_NT
    28. ANDROID_NDK_ROOT = C:\Program Files\Unity\Hub\Editor\2022.3.19f1\Editor\Data\PlaybackEngines\AndroidPlayer\NDK
    29. PROCESSOR_IDENTIFIER = Intel64 Family 6 Model 158 Stepping 11, GenuineIntel
    30. HEAP_CLIENT_TOKEN_STAGING = 3786794399
    31. HOMEPATH = \Users\YOUTUBER
    32. FPS_BROWSER_USER_PROFILE_STRING = Default
    33. RG_UNIVERSE_FRAMEWORK_RESOURCEDIR = C:\Program Files\Red Giant\RGFX
    34. AMPLITUDE_TOKEN_REDBUCKET_DEV = U4PSN7S7PuYVRODivvdcFwbu8R6IHGqa
    35. CHROME_CRASHPAD_PIPE_NAME = \\.\pipe\crashpad_2788_MSXXLXIYSIGJGGLG
    36. MIC_LD_LIBRARY_PATH = C:\Program Files (x86)\Common Files\Intel\Shared Libraries\compiler\lib\mic
    37. JAVA_TOOL_OPTIONS = -Dfile.encoding=UTF-8
    38. CommonProgramFiles = C:\Program Files\Common Files
    39. JAVA_HOME = C:\Program Files\Unity\Hub\Editor\2022.3.19f1\Editor\Data\PlaybackEngines\AndroidPlayer\OpenJDK
    40. USERDOMAIN_ROAMINGPROFILE = DESKTOP-4GCS8JM
    41. TEMP = C:\Users\YOUTUBER\AppData\Local\Temp
    42. CommonProgramW6432 = C:\Program Files\Common Files
    43. AMPLITUDE_TOKEN_YELLOWBUCKET_DEV = wKi8foVigDditGFvmZewRFWsEbX9Y0YO
    44. AMPLITUDE_API_KEY_GREENBUCKET_DEV = 3ded2a762163603391a425f688f990c8
    45. AMPLITUDE_API_KEY_REDBUCKET_PROD = ca12bb461ea96f9bdf5df4ded7d52994
    46. RG_GPU_FRAMEWORK_ENGINE_RESOURCEDIR = C:\Program Files\Red Giant\RGFX
    47. HOMEDRIVE = C:
    48. AMPLITUDE_API_KEY_STAGING = 83ee04fccc67e4fcc7dd527c4c6f1e21
    49. USERNAME = YOUTUBER
    50. OneDrive = C:\Users\YOUTUBER\OneDrive
    51. AMPLITUDE_API_KEY_YELLOWBUCKET_PROD = e03a9bbe92dc38a88cdb068d24c65b46
    52. PATHEXT = .COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC
    53. AMPLITUDE_TOKEN_REDBUCKET_PROD = QqyoFpcWPi7V17p80_46CF6-sNGRGbHo
    54. __PSLockDownPolicy = 0
    55. NUMBER_OF_PROCESSORS = 4
    56. AMPLITUDE_TOKEN_GREENBUCKET_DEV = 84H2gMm_FJzhr3mBaX1lM1JVukmCM7d9
    57. AMPLITUDE_DEPLOYMENT_KEY_RED_BUCKET_DEV = client-wbjHYrmeSR87GmWOE7LDpf7sUySOIKHm
    58. PROCESSOR_LEVEL = 6
    59. PSModulePath = C:\Program Files\WindowsPowerShell\Modules;C:\WINDOWS\system32\WindowsPowerShell\v1.0\Modules
    60. AMPLITUDE_API_KEY_GREENBUCKET_PROD = c86fea37a9e1d3f0878b96e15b111c7c
    61. ComSpec = C:\WINDOWS\system32\cmd.exe
    62. ORIGINAL_XDG_CURRENT_DESKTOP = undefined
    63. PROCESSOR_REVISION = 9e0b
    64. AMPLITUDE_DEPLOYMENT_KEY_RED_BUCKET_PROD = client-zH8Y7OK1i331EKuG77C6UxN8ygcM6LzS
    65. TMP = C:\Users\YOUTUBER\AppData\Local\Temp
    66. SystemDrive = C:
    67. AMPLITUDE_API_KEY = 28f3cae0b33b8b3702120c9ed1a935aa
    68. FPS_BROWSER_APP_PROFILE_STRING = Internet Explorer
    69. SENTRY_ACCESS_TOKEN = 3df78d9e53f8456aa90fbae044ce1a6261421ab1d0014674bc2e933477289017
    70. HEAP_CLIENT_TOKEN = 1717415662
    71. ALLUSERSPROFILE = C:\ProgramData
    72. Path = C:\Program Files\Common Files\Oracle\Java\javapath;C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\Program Files (x86)\Common Files\Intel\Shared Libraries\redist\intel64\compiler;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\WINDOWS\System32\OpenSSH\;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\Program Files\NVIDIA Corporation\NVIDIA NvDLISR;C:\MinGW\bin;C:\MinGW\bin;C:\Windows\SysWow64\;C:\Program Files\nodejs\;C:\Program Files\dotnet\;C:\Users\YOUTUBER\AppData\Local\Microsoft\WindowsApps;C:\Users\YOUTUBER\AppData\Local\Programs\Microsoft VS Code\bin;C:\Users\YOUTUBER\AppData\Roaming\npm;C:\Users\YOUTUBER\AppData\Local\GitHubDesktop\bin;C:\Users\YOUTUBER\.dotnet\tools;C:\Users\YOUTUBER\AppData\Local\Pandoc\;C:\androidflutter\flutter\bin;C:\adb;C:\Program Files\Git\cmd;C:\Users\YOUTUBER\AppData\Local\Microsoft\WindowsApps;C:\Users\YOUTUBER\AppData\Roaming\npm;C:\Users\YOUTUBER\.dotnet\tools;C:\androidflutter\flutter\bin;C:\Users\YOUTUBER\AppData\Local\GitHubDesktop\bin
    73. ProgramFiles = C:\Program Files
    74. LOCALAPPDATA = C:\Users\YOUTUBER\AppData\Local
    75. USERPROFILE = C:\Users\YOUTUBER
    76. WOOTRIC_CLIENT_TOKEN = NPS-aa8be4c3
    77.  
    78.  
    79. stderr[
    80. Picked up JAVA_TOOL_OPTIONS: -Dfile.encoding=UTF-8
    81. Note: C:\Users\YOUTUBER\Desktop\2D Runner\Assets\Others\Project file of EndlessRunnerTutorial\EndlessRunnerTutorial\Library\Bee\Android\Prj\IL2CPP\Gradle\unityLibrary\src\main\java\com\unity3d\player\UnityPlayerActivity.java uses or overrides a deprecated API.
    82. Note: Recompile with -Xlint:deprecation for details.
    83.  
    84. FAILURE: Build completed with 2 failures.
    85.  
    86. 1: Task failed with an exception.
    87. -----------
    88. * What went wrong:
    89. Execution failed for task ':unityLibrary:mergeReleaseJavaResource'.
    90. > A failure occurred while executing com.android.build.gradle.internal.tasks.MergeJavaResWorkAction
    91.    > 2 files found with path 'META-INF/kotlin-project-structure-metadata.json' from inputs:
    92.       - C:\Users\YOUTUBER\Desktop\2D Runner\Assets\Others\Project file of EndlessRunnerTutorial\EndlessRunnerTutorial\Library\Bee\Android\Prj\IL2CPP\Gradle\unityLibrary\libs\androidx.annotation.annotation-1.6.0.jar
    93.       - C:\Users\YOUTUBER\Desktop\2D Runner\Assets\Others\Project file of EndlessRunnerTutorial\EndlessRunnerTutorial\Library\Bee\Android\Prj\IL2CPP\Gradle\unityLibrary\libs\org.jetbrains.kotlinx.kotlinx-coroutines-core-1.7.3.jar
    94.      Adding a packagingOptions block may help, please refer to
    95.      https://google.github.io/android-gradle-dsl/current/com.android.build.gradle.internal.dsl.PackagingOptions.html
    96.      for more information
    97.  
    98. * Try:
    99. Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
    100. ==============================================================================
    101.  
    102. 2: Task failed with an exception.
    103. -----------
    104. * What went wrong:
    105. Execution failed for task ':launcher:checkReleaseAarMetadata'.
    106. > A failure occurred while executing com.android.build.gradle.internal.tasks.CheckAarMetadataWorkAction
    107.    > One or more issues found when checking AAR metadata values:
    108.      
    109.      Dependency ':androidx.sqlite.sqlite-2.4.0:' requires 'compileSdkVersion' to be set to 34 or higher.
    110.      Compilation target for module ':launcher' is 'android-33'
    111.      
    112.      Dependency ':androidx.lifecycle.lifecycle-runtime-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    113.      Compilation target for module ':launcher' is 'android-33'
    114.      
    115.      Dependency ':androidx.work.work-runtime-2.10.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    116.      Compilation target for module ':launcher' is 'android-33'
    117.      
    118.      Dependency ':androidx.lifecycle.lifecycle-livedata-core-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    119.      Compilation target for module ':launcher' is 'android-33'
    120.      
    121.      Dependency ':androidx.lifecycle.lifecycle-runtime-ktx-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    122.      Compilation target for module ':launcher' is 'android-33'
    123.      
    124.      Dependency ':androidx.lifecycle.lifecycle-viewmodel-ktx-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    125.      Compilation target for module ':launcher' is 'android-33'
    126.      
    127.      Dependency ':androidx.core.core-1.13.0-alpha05:' requires 'compileSdkVersion' to be set to 34 or higher.
    128.      Compilation target for module ':launcher' is 'android-33'
    129.      
    130.      Dependency ':androidx.activity.activity-1.9.0-alpha03:' requires 'compileSdkVersion' to be set to 34 or higher.
    131.      Compilation target for module ':launcher' is 'android-33'
    132.      
    133.      Dependency ':androidx.room.room-ktx-2.6.1:' requires 'compileSdkVersion' to be set to 34 or higher.
    134.      Compilation target for module ':launcher' is 'android-33'
    135.      
    136.      Dependency ':androidx.activity.activity-ktx-1.9.0-alpha03:' requires 'compileSdkVersion' to be set to 34 or higher.
    137.      Compilation target for module ':launcher' is 'android-33'
    138.      
    139.      Dependency ':androidx.work.work-runtime-ktx-2.10.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    140.      Compilation target for module ':launcher' is 'android-33'
    141.      
    142.      Dependency ':androidx.fragment.fragment-1.7.0-alpha10:' requires 'compileSdkVersion' to be set to 34 or higher.
    143.      Compilation target for module ':launcher' is 'android-33'
    144.      
    145.      Dependency ':androidx.sqlite.sqlite-framework-2.4.0:' requires 'compileSdkVersion' to be set to 34 or higher.
    146.      Compilation target for module ':launcher' is 'android-33'
    147.      
    148.      Dependency ':androidx.lifecycle.lifecycle-viewmodel-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    149.      Compilation target for module ':launcher' is 'android-33'
    150.      
    151.      Dependency ':androidx.webkit.webkit-1.11.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    152.      Compilation target for module ':launcher' is 'android-33'
    153.      
    154.      Dependency ':androidx.core.core-ktx-1.13.0-alpha05:' requires 'compileSdkVersion' to be set to 34 or higher.
    155.      Compilation target for module ':launcher' is 'android-33'
    156.      
    157.      Dependency ':androidx.room.room-runtime-2.6.1:' requires 'compileSdkVersion' to be set to 34 or higher.
    158.      Compilation target for module ':launcher' is 'android-33'
    159.      
    160.      Dependency ':androidx.lifecycle.lifecycle-process-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    161.      Compilation target for module ':launcher' is 'android-33'
    162.      
    163.      Dependency ':androidx.annotation.annotation-experimental-1.4.0:' requires 'compileSdkVersion' to be set to 34 or higher.
    164.      Compilation target for module ':launcher' is 'android-33'
    165.      
    166.      Dependency ':androidx.lifecycle.lifecycle-viewmodel-savedstate-2.8.0-alpha01:' requires 'compileSdkVersion' to be set to 34 or higher.
    167.      Compilation target for module ':launcher' is 'android-33'
    168.  
    169. * Try:
    170. Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
    171. ==============================================================================
    172.  
    173. * Get more help at https://help.gradle.org
    174.  
    175. BUILD FAILED in 11s
    176. ]
    177. stdout[
    178. WARNING:We recommend using a newer Android Gradle plugin to use compileSdk = 33
    179.  
    180. This Android Gradle plugin (7.1.2) was tested up to compileSdk = 32
    181.  
    182. This warning can be suppressed by adding
    183.     android.suppressUnsupportedCompileSdk=33
    184. to this project's gradle.properties
    185.  
    186. The build will continue, but you are strongly encouraged to update your project to
    187. use a newer Android Gradle Plugin that has been tested with compileSdk = 33
    188. > Task :unityLibrary:preBuild UP-TO-DATE
    189. > Task :launcher:preBuild UP-TO-DATE
    190. > Task :unityLibrary:preReleaseBuild UP-TO-DATE
    191. > Task :unityLibrary:compileReleaseAidl NO-SOURCE
    192. > Task :launcher:preReleaseBuild UP-TO-DATE
    193. > Task :launcher:compileReleaseAidl NO-SOURCE
    194. > Task :unityLibrary:mergeReleaseJniLibFolders UP-TO-DATE
    195. > Task :launcher:generateReleaseBuildConfig UP-TO-DATE
    196. > Task :launcher:javaPreCompileRelease UP-TO-DATE
    197. > Task :launcher:generateReleaseResValues UP-TO-DATE
    198. > Task :launcher:createReleaseCompatibleScreenManifests UP-TO-DATE
    199. > Task :unityLibrary:mergeReleaseNativeLibs UP-TO-DATE
    200. > Task :launcher:extractDeepLinksRelease UP-TO-DATE
    201. > Task :launcher:extractProguardFiles UP-TO-DATE
    202. > Task :launcher:mergeReleaseJniLibFolders UP-TO-DATE
    203.  
    204. > Task :unityLibrary:stripReleaseDebugSymbols
    205. Unable to strip the following libraries, packaging them as they are: libAdaptivePerformanceAndroid.so, libAdaptivePerformanceHint.so, libAdaptivePerformanceThermalHeadroom.so, libAndroidCpuUsage.so, lib_burst_generated.so, libil2cpp.so, libmain.so, libunity.so.
    206.  
    207. > Task :unityLibrary:copyReleaseJniLibsProjectAndLocalJars UP-TO-DATE
    208. > Task :unityLibrary:compileReleaseRenderscript NO-SOURCE
    209. > Task :launcher:checkReleaseDuplicateClasses UP-TO-DATE
    210. > Task :unityLibrary:generateReleaseBuildConfig UP-TO-DATE
    211. > Task :unityLibrary:generateReleaseResValues UP-TO-DATE
    212. > Task :unityLibrary:generateReleaseResources UP-TO-DATE
    213. > Task :unityLibrary:packageReleaseResources UP-TO-DATE
    214. > Task :launcher:desugarReleaseFileDependencies UP-TO-DATE
    215. > Task :unityLibrary:parseReleaseLocalResources UP-TO-DATE
    216. > Task :unityLibrary:processReleaseManifest UP-TO-DATE
    217. > Task :unityLibrary:generateReleaseRFile UP-TO-DATE
    218. > Task :launcher:mergeExtDexRelease UP-TO-DATE
    219. > Task :launcher:mergeReleaseShaders UP-TO-DATE
    220. > Task :launcher:compileReleaseShaders NO-SOURCE
    221. > Task :launcher:generateReleaseAssets UP-TO-DATE
    222. > Task :launcher:processReleaseJavaRes NO-SOURCE
    223. > Task :unityLibrary:extractReleaseAnnotations UP-TO-DATE
    224. > Task :unityLibrary:javaPreCompileRelease UP-TO-DATE
    225. > Task :launcher:collectReleaseDependencies
    226. > Task :launcher:sdkReleaseDependencyData
    227. > Task :launcher:validateSigningRelease
    228. > Task :launcher:writeReleaseAppMetadata
    229. > Task :launcher:writeReleaseSigningConfigVersions
    230.  
    231. > Task :unityLibrary:compileReleaseJavaWithJavac
    232.  
    233. > Task :unityLibrary:mergeReleaseGeneratedProguardFiles UP-TO-DATE
    234. > Task :unityLibrary:mergeReleaseConsumerProguardFiles UP-TO-DATE
    235. > Task :unityLibrary:mergeReleaseShaders UP-TO-DATE
    236. > Task :unityLibrary:compileReleaseShaders NO-SOURCE
    237. > Task :unityLibrary:generateReleaseAssets UP-TO-DATE
    238. > Task :unityLibrary:packageReleaseAssets
    239. > Task :unityLibrary:packageReleaseRenderscript NO-SOURCE
    240. > Task :unityLibrary:prepareLintJarForPublish UP-TO-DATE
    241. > Task :unityLibrary:prepareReleaseArtProfile UP-TO-DATE
    242. > Task :unityLibrary:processReleaseJavaRes UP-TO-DATE
    243. > Task :unityLibrary:writeReleaseAarMetadata UP-TO-DATE
    244. > Task :unityLibrary:extractDeepLinksRelease UP-TO-DATE
    245. > Task :unityLibrary:compileReleaseLibraryResources UP-TO-DATE
    246. > Task :unityLibrary:bundleLibCompileToJarRelease
    247. > Task :unityLibrary:bundleLibRuntimeToJarRelease
    248. > Task :unityLibrary:bundleLibResRelease
    249. > Task :unityLibrary:writeReleaseLintModelMetadata
    250. > Task :unityLibrary:createFullJarRelease
    251. > Task :launcher:mergeReleaseAssets
    252. > Task :launcher:compileReleaseRenderscript NO-SOURCE
    253. > Task :unityLibrary:mergeReleaseJavaResource FAILED
    254. > Task :unityLibrary:copyReleaseJniLibsProjectOnly
    255. > Task :launcher:checkReleaseAarMetadata FAILED
    256. 48 actionable tasks: 17 executed, 31 up-to-date
    257. ]
    258. exit code: 1
    259. UnityEditor.Android.Command.WaitForProgramToRun (UnityEditor.Utils.Program p, UnityEditor.Android.Command+WaitingForProcessToExit waitingForProcessToExit, System.String errorMsg) (at <c91765c32a844aad92ce9b6c6b9d05f7>:0)
    260. UnityEditor.Android.Command.Run (System.Diagnostics.ProcessStartInfo psi, UnityEditor.Android.Command+WaitingForProcessToExit waitingForProcessToExit, System.String errorMsg) (at <c91765c32a844aad92ce9b6c6b9d05f7>:0)
    261. UnityEditor.Android.Command.Run (System.String command, System.String args, System.String workingdir, UnityEditor.Android.Command+WaitingForProcessToExit waitingForProcessToExit, System.String errorMsg) (at <c91765c32a844aad92ce9b6c6b9d05f7>:0)
    262. UnityEditor.Android.AndroidJavaTools.RunJava (System.String args, System.String workingdir, System.Action`1[T] progress, System.String error) (at <c91765c32a844aad92ce9b6c6b9d05f7>:0)
    263. UnityEditor.Android.GradleWrapper.Run (UnityEditor.Android.AndroidJavaTools javaTools, Unity.Android.Gradle.AndroidGradle androidGradle, System.String workingdir, System.String task, System.Action`1[T] progress) (at <c91765c32a844aad92ce9b6c6b9d05f7>:0)
    264. Rethrow as GradleInvokationEx<message truncated>
    265.  
    4. This error was in console before switching version
    Starting a Gradle Daemon, 1 incompatible and 4 stopped Daemons could not be reused,
     
  2. Vickey_Soni

    Vickey_Soni

    Joined:
    Jun 9, 2022
    Posts:
    20
    Anyone else having such issue may need to check this. in this repo's Read Me section, you will find all the links to the related packages that may be causing such issues.
     
  3. Bathory9

    Bathory9

    Joined:
    Feb 9, 2019
    Posts:
    5
    Hello. Did you find a solution to this? I've installed the External Dependency Manager (which I understand fills the role the Mobile Resolver normally has) and was able to build for Android and run test ads with IronSource 8.0.0. However on iOS when launching the game the IronSource SDK crashes on Initialization.

    So I'm back to being without the External Dependency Manager and have the MergeJavaResWorkAction error when trying to build on Android.
     
    Last edited: May 29, 2024
  4. Vickey_Soni

    Vickey_Soni

    Joined:
    Jun 9, 2022
    Posts:
    20
    Yes, I've given the link to the github repo that may have a possible solution. It worked for me on android. Unfortunately, don't know about Ios. Another solution can be that you export all of your project files as a packege without any dependency and ironsource and google packages. Make a fresh project, import your custom package and re install all the dependency and packages.